## python-intbitset 4.0.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/intbitset.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/intbitset.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/intbitset"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/intbitset"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## python-intbitset 2.3.0

=== debian/changelog ===
python-intbitset (2.3.0-3.2build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 as default version

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 13 Jan 2022 20:24:31 +0000

python-intbitset (2.3.0-3.2) unstable; urgency=high

  * Non-maintainer upload.
  * debian/rules: Adjust dh_auto_build override to fix FTBFS
    with dpkg-buildpackage -A. (Closes: #917829)
  * debian/control: Bump debhelper compat to v13.
  * debian/control: Update Vcs-* fields accordingly.
  * debian/control: Add missing Built-Using: ${sphinxdoc:Built-Using}.

 -- Boyuan Yang <byang@debian.org>  Sat, 20 Nov 2021 16:26:03 -0500

python-intbitset (2.3.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python2 support; Closes: #937836

 -- Sandro Tosi <morph@debian.org>  Tue, 22 Oct 2019 00:06:16 -0400

python-intbitset (2.3.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field

  [ Maximiliano Curia ]
  * Bump debhelper build-dep and compat to 11
  * Bump to Standards-Version 4.1.4
  * Disable tests in the indep build (Closes: 876528)
  * Add new patch: Disable-arch-dependent-test.patch.
    Thanks to Adrian Bunk for the report (Closes: 876529)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Tue, 17 Apr 2018 12:34:51 +0200

python-intbitset (2.3.0-2) sid; urgency=medium

  * New revision
  * Disable extra_compile_options.
    Thanks to Adrian Bunk for the report (Closes: 873696)
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Thu, 31 Aug 2017 08:06:39 +0200

python-intbitset (2.3.0-1) sid; urgency=medium

  * Initial Debian release (2.3.0).
  * Add sphinxdoc build
  * Use pybuild
  * Build sphinx doc
  * Add a basic not-installed file
  * Add patch: Rename-version.py-to-intbitset_version.py.patch
  * Generate the c file from it's cython source
  * Update the not-installed file
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Fri, 11 Aug 2017 15:58:44 +0200

=== debian/control ===
Source: python-intbitset
Section: python
Priority: optional
Maintainer: Maximiliano Curia <maxy@debian.org>
Build-Depends: cython3,
               debhelper-compat (= 13),
               dh-python,
               python3-dev,
               python3-nose,
               python3-setuptools,
               python3-six,
               python3-sphinx,
Standards-Version: 4.1.4
Homepage: https://github.com/inveniosoftware/intbitset/
Vcs-Git: https://salsa.debian.org/python-team/packages/python-intbitset.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-intbitset

Package: python-intbitset-doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: unordered sets with ultra fast operations (documentation)
 The ``intbitset`` library provides a set implementation to store sorted
 unsigned integers either 32-bits integers (between ``0`` and
 ``2**31 - 1`` or ``intbitset.__maxelem__``) or an infinite range
 with fast set operations implemented via bit vectors in a *Python C
 extension* for speed and reduced memory usage.
 .
 This package contains the intbitset documentation.

Package: python3-intbitset
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: unordered sets with ultra fast operations
 The ``intbitset`` library provides a set implementation to store sorted
 unsigned integers either 32-bits integers (between ``0`` and
 ``2**31 - 1`` or ``intbitset.__maxelem__``) or an infinite range
 with fast set operations implemented via bit vectors in a *Python C
 extension* for speed and reduced memory usage.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build-indep:
	python3 setup.py build_sphinx

execute_before_dh_auto_build:
	# Rebuild intbitset.c for both arch:all/arch:any build
	mv intbitset/intbitset.c intbitset/intbitset.orig.c
	cython3 intbitset/intbitset.pyx

execute_before_dh_auto_clean:
	-mv intbitset/intbitset.orig.c intbitset/intbitset.c

override_dh_auto_test-indep:
	# No tests for the indep build
	:

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?/)?v?(\d[\-+\.:\~\da-zA-Z]*)(@ARCHIVE_EXT@)%@PACKAGE@-$1$2%, \
     uversionmangle=s/-rc/~rc/" \
  https://github.com/inveniosoftware/intbitset/tags (?:.*?/)?v?(\d[\-+\.:\~\da-zA-Z]*)\.tar\.gz

## python-intbitset 3.1.0

=== debian/changelog ===
python-intbitset (3.1.0-1) unstable; urgency=medium

  * Non-maintainer upload.
  * add gbp.conf
  * New upstream version 3.1.0
  * replace nose by pytest (Closes: #1018514)
  * remove obsolete dependency on python3-six
  * use new dh-sequence-python3
  * set Rules-Requires-Root: no
  * disable old patches
  * janitor: add upstream metadata
  * disable sphinx (Closes: #1042615)

  [ Debian Janitor ]
  * Apply multi-arch hints. + python-intbitset-doc: Add Multi-Arch: foreign.

 -- Alexandre Detiste <tchet@debian.org>  Sun, 14 Apr 2024 14:58:07 +0200

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cython3,
                debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-dev,
-               python3-nose,
+               python3-pytest,
                python3-setuptools,
-               python3-six,
                python3-sphinx,
+Rules-Requires-Root: no
 Standards-Version: 4.1.4
 Homepage: https://github.com/inveniosoftware/intbitset/
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-intbitset.git
@@ -19,6 +19,7 @@
 Architecture: all
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Built-Using: ${sphinxdoc:Built-Using}
+Multi-Arch: foreign
 Description: unordered sets with ultra fast operations (documentation)
  The ``intbitset`` library provides a set implementation to store sorted
  unsigned integers either 32-bits integers (between ``0`` and

## python-intbitset 4.0.0

=== debian/changelog ===
python-intbitset (4.0.0-1) unstable; urgency=medium

  * New upstream version 4.0.0
    - Replace buffer usage, support 3.13 (Closes: #1092066)
    - Build twice in a row (Closes: #1047584)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 10 Jan 2025 12:16:24 +0100

python-intbitset (3.1.0-2) unstable; urgency=medium

  * Non-maintainer upload.
  * Disable a test broken on big-endian systems.

 -- Alexandre Detiste <tchet@debian.org>  Sat, 15 Jun 2024 17:05:04 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,10 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
-override_dh_auto_build-indep:
-	python3 setup.py build_sphinx
+#override_dh_auto_build-indep:
+#	python3 setup.py build_sphinx
 
 execute_before_dh_auto_build:
 	# Rebuild intbitset.c for both arch:all/arch:any build
